Ellipsis APIReferenceTemplates

List Agent Templates

List the built-in starter agent templates. Behind auth but not customer-scoped — the data is static product content shared by the dashboard, landing site, and CLI.

GET
/v1/templates

List the built-in starter agent templates.

Behind auth but not customer-scoped — the data is static product content shared by the dashboard, landing site, and CLI.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

user-agent?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/templates"
{  "templates": [    {      "description": "string",      "name": "string",      "slug": "string",      "summary": "string",      "tags": [        "string"      ],      "use_case": "string",      "yaml": "string"    }  ],  "walkthrough_yaml": "string"}